2

I'm using a WIFI USB adapter : TP-Link TL-WN725N Nano Adaptateur USB wireless N 150 Mbps. I plug it to my raspberry and configured it in /etc/network/interfaces . I added this :

allow-hotplug wlan0 
iface wlan0 inet dhcp 
wpa-ssid "MY NETWORK SSID"

I dont need password to connect.

then sudo reboot

when I launch ifconfig I got this (no wlan detected).

eth0      Link encap:Ethernet  HWaddr b8:27:eb:d5:44:b8  
          inet addr:192.168.0.2  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:53 errors:0 dropped:0 overruns:0 frame:0
          TX packets:90 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:7022 (6.8 KiB)  TX bytes:9278 (9.0 KiB)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:65536  Metric:1
          RX packets:14 errors:0 dropped:0 overruns:0 frame:0
          TX packets:14 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:1330 (1.2 KiB)  TX bytes:1330 (1.2 KiB)
  • Just after you plug the dongle in you should see some messages about the dongle in dmesg (command line type dmesg). It would be useful if you could post the lines related to the dongle. Also the lsusb -v lines related to the dongle may be of interest. – joan Apr 22 '14 at 12:59
  • after search, this is no driver for TP-Link TL-WN725N V2 under linux. there is driver in gitub raspberrypi.org/forums/viewtopic.php?f=26&t=29752 .compile and insert it. – Makhlouf GHARBI Apr 22 '14 at 13:39
3

Check out this tutorial

I think you need to install the drivers. Since url answers my disappear, here is what it basically says:

Now, plug your USB wifi adapter to one of the ports and issue: lsusb. You should see something along the lines of:

$ lsusb

...
Bus 001 Device 004: ID 0ace:1215 ZyDAS ZD1211B 802.11g
...

Okay, it looks like the chipset we have here is ‘zd1211′ (Have a look at http://wiki.debian.org/WiFi for a list of supported chipsets)

Let’s see if there are any firmware packages we can install to get this up and running:

$ apt-cache search zd1211

zd1211-firmware - Firmware images for the zd1211rw wireless driver

Sweet, let’s install that:

$ sudo apt-get install zd1211-firmware

We should be good to go now. Unplug the adapter, plug it back in again and have a look at the output of lsmod:

$ lsmod

Module   Size   Used by
arc      4764   2
zd1211rw 40444  0
mac80211 171628 1 zd1211rw
cfg80211 123084 2 zd1211rw,mac80211
fuse     49036  1

You should see mention of zd1211.

dmesg should also give you an indication whether things are loaded or not:

    $ dmesg

...
usb 1-1.2: new high speed USB device number 4 using dwc_otg
usb 1-1.2: New USB device found, idVendor=0ace, idProduct=1215
usb 1-1.2: New USB device strings: Mfr=16, Product=32, SerialNumber=0
usb 1-1.2: Product: USB2.0 WLAN
usb 1-1.2: Manufacturer: ZyDAS
cfg80211: Calling CRDA to update world regulatory domain
usb 1-1.2: reset high speed USB device number 4 using dwc_otg
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
zd1211rw 1-1.2:1.0: phy0
usbcore: registered new interface driver zd1211rw
zd1211rw 1-1.2:1.0: firmware version 4725
zd1211rw 1-1.2:1.0: zd1211b chip 0ace:1215 v4810 high 00-1a-ee UW2453_RF pa0 -7---
...

Awesome, looks like the adapter is up and running! To see which networks are available, do:

$ iwlist wlan0 scan

…which should give you a list of wireless networks around you.

Good luck

  • I am not entirely sure what drivers I need – DorkMonstuh Mar 1 '17 at 19:56
2

it works for me by installing the right driver

wget https://dl.dropboxusercontent.com/u/80256631/8188eu-20140307.tar.gz
tar -zxvf 8188eu-20140307.tar.gz
sudo cp rtl8188eufw.bin /lib/firmware/rtlwifi //not needed anymore if your operating system is above 3.10.33+
sudo install -p -m 644 8188eu.ko /lib/modules/3.10.33+/kernel/drivers/net/wireless
sudo insmod /lib/modules/3.10.33+/kernel/drivers/net/wireless/8188eu.ko
sudo depmod -a
sudo reboot

my kernel version is 3.10.33+

  • When I do this I get Invalid Module Format – JohnLinux Nov 27 '15 at 20:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.